## fzf 0.17.5

=== Makefile ===
ifndef GOOS
GOOS           := $(word 1, $(subst /, " ", $(word 4, $(shell go version))))
endif

MAKEFILE       := $(realpath $(lastword $(MAKEFILE_LIST)))
ROOT_DIR       := $(shell dirname $(MAKEFILE))
GOPATH         := $(ROOT_DIR)/gopath
SRC_LINK       := $(GOPATH)/src/github.com/junegunn/fzf/src
VENDOR_LINK    := $(GOPATH)/src/github.com/junegunn/fzf/vendor
export GOPATH

GLIDE_YAML     := glide.yaml
GLIDE_LOCK     := glide.lock
SOURCES        := $(wildcard *.go src/*.go src/*/*.go) $(SRC_LINK) $(VENDOR_LINK) $(GLIDE_LOCK) $(MAKEFILE)

REVISION       := $(shell git log -n 1 --pretty=format:%h -- $(SOURCES))
BUILD_FLAGS    := -a -ldflags "-X main.revision=$(REVISION) -w -extldflags=$(LDFLAGS)" -tags "$(TAGS)"

BINARY32       := fzf-$(GOOS)_386
BINARY64       := fzf-$(GOOS)_amd64
BINARYARM5     := fzf-$(GOOS)_arm5
BINARYARM6     := fzf-$(GOOS)_arm6
BINARYARM7     := fzf-$(GOOS)_arm7
BINARYARM8     := fzf-$(GOOS)_arm8
BINARYPPC64LE  := fzf-$(GOOS)_ppc64le
VERSION        := $(shell awk -F= '/version =/ {print $$2}' src/constants.go | tr -d "\" ")
RELEASE32      := fzf-$(VERSION)-$(GOOS)_386
RELEASE64      := fzf-$(VERSION)-$(GOOS)_amd64
RELEASEARM5    := fzf-$(VERSION)-$(GOOS)_arm5
RELEASEARM6    := fzf-$(VERSION)-$(GOOS)_arm6
RELEASEARM7    := fzf-$(VERSION)-$(GOOS)_arm7
RELEASEARM8    := fzf-$(VERSION)-$(GOOS)_arm8
RELEASEPPC64LE := fzf-$(VERSION)-$(GOOS)_ppc64le

# https://en.wikipedia.org/wiki/Uname
UNAME_M := $(shell uname -m)
ifeq ($(UNAME_M),x86_64)
	BINARY := $(BINARY64)
else ifeq ($(UNAME_M),amd64)
	BINARY := $(BINARY64)
else ifeq ($(UNAME_M),i686)
	BINARY := $(BINARY32)
else ifeq ($(UNAME_M),i386)
	BINARY := $(BINARY32)
else ifeq ($(UNAME_M),armv5l)
	BINARY := $(BINARYARM5)
else ifeq ($(UNAME_M),armv6l)
	BINARY := $(BINARYARM6)
else ifeq ($(UNAME_M),armv7l)
	BINARY := $(BINARYARM7)
else ifeq ($(UNAME_M),armv8l)
	BINARY := $(BINARYARM8)
else ifeq ($(UNAME_M),ppc64le)
	BINARY := $(BINARYPPC64LE)
else
$(error "Build on $(UNAME_M) is not supported, yet.")
endif

all: target/$(BINARY)

target:
	mkdir -p $@

ifeq ($(GOOS),windows)
release: target/$(BINARY32) target/$(BINARY64)
	cd target && cp -f $(BINARY32) fzf.exe && zip $(RELEASE32).zip fzf.exe
	cd target && cp -f $(BINARY64) fzf.exe && zip $(RELEASE64).zip fzf.exe
	cd target && rm -f fzf.exe
else ifeq ($(GOOS),linux)
release: target/$(BINARY32) target/$(BINARY64) target/$(BINARYARM5) target/$(BINARYARM6) target/$(BINARYARM7) target/$(BINARYARM8) target/$(BINARYPPC64LE)
	cd target && cp -f $(BINARY32) fzf && tar -czf $(RELEASE32).tgz fzf
	cd target && cp -f $(BINARY64) fzf && tar -czf $(RELEASE64).tgz fzf
	cd target && cp -f $(BINARYARM5) fzf && tar -czf $(RELEASEARM5).tgz fzf
	cd target && cp -f $(BINARYARM6) fzf && tar -czf $(RELEASEARM6).tgz fzf
	cd target && cp -f $(BINARYARM7) fzf && tar -czf $(RELEASEARM7).tgz fzf
	cd target && cp -f $(BINARYARM8) fzf && tar -czf $(RELEASEARM8).tgz fzf
	cd target && cp -f $(BINARYPPC64LE) fzf && tar -czf $(RELEASEPPC64LE).tgz fzf
	cd target && rm -f fzf
else
release: target/$(BINARY32) target/$(BINARY64)
	cd target && cp -f $(BINARY32) fzf && tar -czf $(RELEASE32).tgz fzf
	cd target && cp -f $(BINARY64) fzf && tar -czf $(RELEASE64).tgz fzf
	cd target && rm -f fzf
endif

release-all: clean test
	GOOS=darwin  make release
	GOOS=linux   make release
	GOOS=freebsd make release
	GOOS=openbsd make release
	GOOS=windows make release

$(SRC_LINK):
	mkdir -p $(shell dirname $(SRC_LINK))
	ln -sf $(ROOT_DIR)/src $(SRC_LINK)

$(VENDOR_LINK):
	mkdir -p $(shell dirname $(VENDOR_LINK))
	ln -sf $(ROOT_DIR)/vendor $(VENDOR_LINK)

vendor: $(GLIDE_YAML)
	go get -u github.com/Masterminds/glide && $(GOPATH)/bin/glide install && touch $@

test: $(SOURCES) vendor
	SHELL=/bin/sh GOOS= go test -v -tags "$(TAGS)" \
				github.com/junegunn/fzf/src \
				github.com/junegunn/fzf/src/algo \
				github.com/junegunn/fzf/src/tui \
				github.com/junegunn/fzf/src/util

install: bin/fzf

clean:
	rm -rf target

target/$(BINARY32): $(SOURCES) vendor
	GOARCH=386 go build $(BUILD_FLAGS) -o $@

target/$(BINARY64): $(SOURCES) vendor
	GOARCH=amd64 go build $(BUILD_FLAGS) -o $@

# https://github.com/golang/go/wiki/GoArm
target/$(BINARYARM5): $(SOURCES) vendor
	GOARCH=arm GOARM=5 go build $(BUILD_FLAGS) -o $@

target/$(BINARYARM6): $(SOURCES) vendor
	GOARCH=arm GOARM=6 go build $(BUILD_FLAGS) -o $@

target/$(BINARYARM7): $(SOURCES) vendor
	GOARCH=arm GOARM=7 go build $(BUILD_FLAGS) -o $@

target/$(BINARYARM8): $(SOURCES) vendor
	GOARCH=arm64 go build $(BUILD_FLAGS) -o $@

target/$(BINARYPPC64LE): $(SOURCES) vendor
	GOARCH=ppc64le go build $(BUILD_FLAGS) -o $@

bin/fzf: target/$(BINARY) | bin
	cp -f target/$(BINARY) bin/fzf

docker:
	docker build -t fzf-arch .
	docker run -it fzf-arch tmux

docker-test:
	docker build -t fzf-arch .
	docker run -it fzf-arch

.PHONY: all release release-all test install clean docker docker-test

=== debian/changelog ===
fzf (0.17.5-2) unstable; urgency=medium

  * Autopkgtest: replace needs-root with isolation-container.
  * Update README.Debian, adding a usage hint for fzf.vim .
  * Symlink examples/plugin/fzf.vim -> ../fzf.vim (Closes: #918688)
  * Add the missing ${shlibs:Depends} to Depends.
  * Bump Standards-Version to 4.3.0 (no change).

 -- Mo Zhou <cdluminate@gmail.com>  Tue, 08 Jan 2019 14:51:27 +0000

fzf (0.17.5-1) unstable; urgency=medium

  * New upstream version 0.17.5
  * autopkgtest: skip fuzzy match test when /dev/tty is not accessible.

 -- Mo Zhou <cdluminate@gmail.com>  Thu, 25 Oct 2018 07:23:21 +0000

fzf (0.17.4-3) unstable; urgency=medium

  * Add needs-root Restriction to autopkgtest control file.
  * Transfer packaging repo to Salsa/Debain group.

 -- Mo Zhou <cdluminate@gmail.com>  Fri, 14 Sep 2018 05:49:05 +0000

fzf (0.17.4-2) unstable; urgency=medium

  * Fix Vcs-* fields that point to the wrong location.
  * Move usage instruction from long description to README.Debian
    (Closes: #908122)

 -- Mo Zhou <cdluminate@gmail.com>  Fri, 07 Sep 2018 08:18:26 +0000

fzf (0.17.4-1) unstable; urgency=medium

  * Initial release. (Closes: #783307) (LP: #1724565)
    Based on Tom Fitzhenry <tom@tom-fitzhenry.me.uk>'s initial work.

 -- Mo Zhou <cdluminate@gmail.com>  Thu, 30 Aug 2018 12:55:19 +0000

=== debian/control ===
Source: fzf
Section: utils
Homepage: https://github.com/junegunn/fzf
Priority: optional
Standards-Version: 4.3.0
Vcs-Browser: https://salsa.debian.org/debian/fzf
Vcs-Git: https://salsa.debian.org/debian/fzf.git
Maintainer: Mo Zhou <cdluminate@gmail.com>
Build-Depends: debhelper (>= 11~),
               bash-completion,
               dh-golang,
               dh-exec,
               golang-golang-x-crypto-dev,
               golang-github-mattn-go-isatty-dev,
               golang-github-mattn-go-runewidth-dev,
               golang-github-mattn-go-shellwords-dev,
               golang-go (>= 1.5)
XS-Go-Import-Path: github.com/junegunn/fzf

Package: fzf
Architecture: any
Built-Using: ${misc:Built-Using}
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: general-purpose command-line fuzzy finder
 It's an interactive Unix filter for command-line that can be used with
 any list; files, command history, processes, hostnames, bookmarks, git
 commits, etc.
 .
 Refer /usr/share/doc/fzf/README.Debian for quick instructions on how to
 add keybindings for Bash, Zsh, Fish to call fzf.

=== debian/rules ===
#!/usr/bin/make -f
export DH_GOPKG := github.com/junegunn/fzf

%:
	dh $@ -Sgolang --with=golang,bash-completion

override_dh_compress:
	dh_compress -Xkey-bindings -Xcompletion -Xfzf.vim

## fzf 0.18.0

=== Makefile ===
--- 
+++ 
@@ -1,17 +1,9 @@
-ifndef GOOS
-GOOS           := $(word 1, $(subst /, " ", $(word 4, $(shell go version))))
-endif
+GO             ?= go
+GOOS           ?= $(word 1, $(subst /, " ", $(word 4, $(shell go version))))
 
 MAKEFILE       := $(realpath $(lastword $(MAKEFILE_LIST)))
 ROOT_DIR       := $(shell dirname $(MAKEFILE))
-GOPATH         := $(ROOT_DIR)/gopath
-SRC_LINK       := $(GOPATH)/src/github.com/junegunn/fzf/src
-VENDOR_LINK    := $(GOPATH)/src/github.com/junegunn/fzf/vendor
-export GOPATH
-
-GLIDE_YAML     := glide.yaml
-GLIDE_LOCK     := glide.lock
-SOURCES        := $(wildcard *.go src/*.go src/*/*.go) $(SRC_LINK) $(VENDOR_LINK) $(GLIDE_LOCK) $(MAKEFILE)
+SOURCES        := $(wildcard *.go src/*.go src/*/*.go) $(MAKEFILE)
 
 REVISION       := $(shell git log -n 1 --pretty=format:%h -- $(SOURCES))
 BUILD_FLAGS    := -a -ldflags "-X main.revision=$(REVISION) -w -extldflags=$(LDFLAGS)" -tags "$(TAGS)"
@@ -90,19 +82,8 @@
 	GOOS=openbsd make release
 	GOOS=windows make release
 
-$(SRC_LINK):
-	mkdir -p $(shell dirname $(SRC_LINK))
-	ln -sf $(ROOT_DIR)/src $(SRC_LINK)
-
-$(VENDOR_LINK):
-	mkdir -p $(shell dirname $(VENDOR_LINK))
-	ln -sf $(ROOT_DIR)/vendor $(VENDOR_LINK)
-
-vendor: $(GLIDE_YAML)
-	go get -u github.com/Masterminds/glide && $(GOPATH)/bin/glide install && touch $@
-
-test: $(SOURCES) vendor
-	SHELL=/bin/sh GOOS= go test -v -tags "$(TAGS)" \
+test: $(SOURCES)
+	SHELL=/bin/sh GOOS= $(GO) test -v -tags "$(TAGS)" \
 				github.com/junegunn/fzf/src \
 				github.com/junegunn/fzf/src/algo \
 				github.com/junegunn/fzf/src/tui \
@@ -111,29 +92,29 @@
 install: bin/fzf
 
 clean:
-	rm -rf target
+	$(RM) -r target
 
-target/$(BINARY32): $(SOURCES) vendor
-	GOARCH=386 go build $(BUILD_FLAGS) -o $@
+target/$(BINARY32): $(SOURCES)
+	GOARCH=386 $(GO) build $(BUILD_FLAGS) -o $@
 
-target/$(BINARY64): $(SOURCES) vendor
-	GOARCH=amd64 go build $(BUILD_FLAGS) -o $@
+target/$(BINARY64): $(SOURCES)
+	GOARCH=amd64 $(GO) build $(BUILD_FLAGS) -o $@
 
 # https://github.com/golang/go/wiki/GoArm
-target/$(BINARYARM5): $(SOURCES) vendor
-	GOARCH=arm GOARM=5 go build $(BUILD_FLAGS) -o $@
+target/$(BINARYARM5): $(SOURCES)
+	GOARCH=arm GOARM=5 $(GO) build $(BUILD_FLAGS) -o $@
 
-target/$(BINARYARM6): $(SOURCES) vendor
-	GOARCH=arm GOARM=6 go build $(BUILD_FLAGS) -o $@
+target/$(BINARYARM6): $(SOURCES)
+	GOARCH=arm GOARM=6 $(GO) build $(BUILD_FLAGS) -o $@
 
-target/$(BINARYARM7): $(SOURCES) vendor
-	GOARCH=arm GOARM=7 go build $(BUILD_FLAGS) -o $@
+target/$(BINARYARM7): $(SOURCES)
+	GOARCH=arm GOARM=7 $(GO) build $(BUILD_FLAGS) -o $@
 
-target/$(BINARYARM8): $(SOURCES) vendor
-	GOARCH=arm64 go build $(BUILD_FLAGS) -o $@
+target/$(BINARYARM8): $(SOURCES)
+	GOARCH=arm64 $(GO) build $(BUILD_FLAGS) -o $@
 
-target/$(BINARYPPC64LE): $(SOURCES) vendor
-	GOARCH=ppc64le go build $(BUILD_FLAGS) -o $@
+target/$(BINARYPPC64LE): $(SOURCES)
+	GOARCH=ppc64le $(GO) build $(BUILD_FLAGS) -o $@
 
 bin/fzf: target/$(BINARY) | bin
 	cp -f target/$(BINARY) bin/fzf
@@ -146,4 +127,8 @@
 	docker build -t fzf-arch .
 	docker run -it fzf-arch
 
-.PHONY: all release release-all test install clean docker docker-test
+update:
+	$(GO) get -u
+	$(GO) mod tidy
+
+.PHONY: all release release-all test install clean docker docker-test update

=== debian/changelog ===
fzf (0.18.0-1) experimental; urgency=medium

  * New upstream version 0.18.0

 -- Mo Zhou <cdluminate@gmail.com>  Tue, 02 Apr 2019 07:13:56 +0000

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Vcs-Browser: https://salsa.debian.org/debian/fzf
 Vcs-Git: https://salsa.debian.org/debian/fzf.git
 Maintainer: Mo Zhou <cdluminate@gmail.com>
-Build-Depends: debhelper (>= 11~),
+Build-Depends: debhelper-compat (= 11),
                bash-completion,
                dh-golang,
                dh-exec,

## fzf 0.20.0

=== Makefile ===
--- 
+++ 
@@ -41,6 +41,8 @@
 else ifeq ($(UNAME_M),armv7l)
 	BINARY := $(BINARYARM7)
 else ifeq ($(UNAME_M),armv8l)
+	BINARY := $(BINARYARM8)
+else ifeq ($(UNAME_M),aarch64)
 	BINARY := $(BINARYARM8)
 else ifeq ($(UNAME_M),ppc64le)
 	BINARY := $(BINARYPPC64LE)

=== debian/changelog ===
fzf (0.20.0-1) unstable; urgency=medium

  * New upstream version 0.20.0

 -- Mo Zhou <cdluminate@gmail.com>  Sat, 21 Dec 2019 16:38:27 +0800

fzf (0.19.0-1) unstable; urgency=medium

  * New upstream version 0.19.0

 -- Mo Zhou <cdluminate@gmail.com>  Sat, 23 Nov 2019 21:37:05 +0800

fzf (0.18.0-3) unstable; urgency=medium

  * Amend the wrong path of shell scripts for fuzzy auto-completion.
    ATM deprecate fish_user_key_bindings.fish and update instructions in
    README.Debian accordingly. (Closes: #928392)
  * No longer use the bash-completion dh plugin.

 -- Mo Zhou <cdluminate@gmail.com>  Wed, 28 Aug 2019 06:06:23 +0000

fzf (0.18.0-2) unstable; urgency=medium

  * Upload to unstable.

 -- Mo Zhou <cdluminate@gmail.com>  Mon, 08 Jul 2019 06:13:24 +0000

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,6 @@
 Vcs-Git: https://salsa.debian.org/debian/fzf.git
 Maintainer: Mo Zhou <cdluminate@gmail.com>
 Build-Depends: debhelper-compat (= 11),
-               bash-completion,
                dh-golang,
                dh-exec,
                golang-golang-x-crypto-dev,

=== debian/rules ===
#!/usr/bin/make -f
export DH_GOPKG := github.com/junegunn/fzf

%:
	dh $@ -Sgolang --with=golang

override_dh_compress:
	dh_compress -Xkey-bindings -Xcompletion -Xfzf.vim

=== debian/tests/control ===
Tests: basic
Depends: @, shunit2
Restrictions: isolation-container,

Test-Command: fzf --version
Depends: @

## fzf 0.24.3

=== Makefile ===
GO             ?= go
GOOS           ?= $(word 1, $(subst /, " ", $(word 4, $(shell go version))))

MAKEFILE       := $(realpath $(lastword $(MAKEFILE_LIST)))
ROOT_DIR       := $(shell dirname $(MAKEFILE))
SOURCES        := $(wildcard *.go src/*.go src/*/*.go) $(MAKEFILE)

ifdef FZF_VERSION
VERSION        := $(FZF_VERSION)
else
VERSION        := $(shell git describe --abbrev=0 2> /dev/null)
endif
ifeq ($(VERSION),)
$(error Not on git repository; cannot determine $$FZF_VERSION)
endif
VERSION_TRIM   := $(shell sed "s/-.*//" <<< $(VERSION))
VERSION_REGEX  := $(subst .,\.,$(VERSION_TRIM))

ifdef FZF_REVISION
REVISION       := $(FZF_REVISION)
else
REVISION       := $(shell git log -n 1 --pretty=format:%h -- $(SOURCES) 2> /dev/null)
endif
ifeq ($(REVISION),)
$(error Not on git repository; cannot determine $$FZF_REVISION)
endif
BUILD_FLAGS    := -a -ldflags "-s -w -X main.version=$(VERSION) -X main.revision=$(REVISION)" -tags "$(TAGS)"

BINARY64       := fzf-$(GOOS)_amd64
BINARYARM5     := fzf-$(GOOS)_arm5
BINARYARM6     := fzf-$(GOOS)_arm6
BINARYARM7     := fzf-$(GOOS)_arm7
BINARYARM8     := fzf-$(GOOS)_arm8
BINARYPPC64LE  := fzf-$(GOOS)_ppc64le

# https://en.wikipedia.org/wiki/Uname
UNAME_M := $(shell uname -m)
ifeq ($(UNAME_M),x86_64)
	BINARY := $(BINARY64)
else ifeq ($(UNAME_M),amd64)
	BINARY := $(BINARY64)
else ifeq ($(UNAME_M),armv5l)
	BINARY := $(BINARYARM5)
else ifeq ($(UNAME_M),armv6l)
	BINARY := $(BINARYARM6)
else ifeq ($(UNAME_M),armv7l)
	BINARY := $(BINARYARM7)
else ifeq ($(UNAME_M),armv8l)
	BINARY := $(BINARYARM8)
else ifeq ($(UNAME_M),aarch64)
	BINARY := $(BINARYARM8)
else ifeq ($(UNAME_M),ppc64le)
	BINARY := $(BINARYPPC64LE)
else
$(error Build on $(UNAME_M) is not supported, yet.)
endif

all: target/$(BINARY)

test: $(SOURCES)
	SHELL=/bin/sh GOOS= $(GO) test -v -tags "$(TAGS)" \
				github.com/junegunn/fzf/src \
				github.com/junegunn/fzf/src/algo \
				github.com/junegunn/fzf/src/tui \
				github.com/junegunn/fzf/src/util

install: bin/fzf

build:
	goreleaser --rm-dist --snapshot

release:
ifndef GITHUB_TOKEN
	$(error GITHUB_TOKEN is not defined)
endif

	# Check if we are on master branch
ifneq ($(shell git symbolic-ref --short HEAD),master)
	$(error Not on master branch)
endif

	# Check if version numbers are properly updated
	grep -q ^$(VERSION_REGEX)$$ CHANGELOG.md
	grep -qF '"fzf $(VERSION_TRIM)"' man/man1/fzf.1
	grep -qF '"fzf $(VERSION_TRIM)"' man/man1/fzf-tmux.1
	grep -qF $(VERSION) install
	grep -qF $(VERSION) install.ps1

	# Make release note out of CHANGELOG.md
	sed -n '/^$(VERSION_REGEX)$$/,/^[0-9]/p' CHANGELOG.md | tail -r | \
		sed '1,/^ *$$/d' | tail -r | sed 1,2d | tee tmp/release-note

	# Push to temp branch first so that install scripts always works on master branch
	git checkout -B temp master
	git push origin temp --follow-tags --force

	# Make a GitHub release
	goreleaser --rm-dist --release-notes tmp/release-note

	# Push to master
	git checkout master
	git push origin master

	# Delete temp branch
	git push origin --delete temp

clean:
	$(RM) -r dist target

target/$(BINARY64): $(SOURCES)
	GOARCH=amd64 $(GO) build $(BUILD_FLAGS) -o $@

# https://github.com/golang/go/wiki/GoArm
target/$(BINARYARM5): $(SOURCES)
	GOARCH=arm GOARM=5 $(GO) build $(BUILD_FLAGS) -o $@

target/$(BINARYARM6): $(SOURCES)
	GOARCH=arm GOARM=6 $(GO) build $(BUILD_FLAGS) -o $@

target/$(BINARYARM7): $(SOURCES)
	GOARCH=arm GOARM=7 $(GO) build $(BUILD_FLAGS) -o $@

target/$(BINARYARM8): $(SOURCES)
	GOARCH=arm64 $(GO) build $(BUILD_FLAGS) -o $@

target/$(BINARYPPC64LE): $(SOURCES)
	GOARCH=ppc64le $(GO) build $(BUILD_FLAGS) -o $@

bin/fzf: target/$(BINARY) | bin
	cp -f target/$(BINARY) bin/fzf

docker:
	docker build -t fzf-arch .
	docker run -it fzf-arch tmux

docker-test:
	docker build -t fzf-arch .
	docker run -it fzf-arch

update:
	$(GO) get -u
	$(GO) mod tidy

.PHONY: all build release test install clean docker docker-test update

=== debian/changelog ===
fzf (0.24.3-1) unstable; urgency=medium

  [ Jai Flack ]
  * Fix package source links in d/control

  [ Mo Zhou ]
  * New upstream version 0.24.3
  * Update my own mail address in d/control and d/copyright.
  * Apply wrap-and-sort.

 -- Mo Zhou <lumin@debian.org>  Wed, 02 Dec 2020 18:22:27 +0800

fzf (0.24.2-1) unstable; urgency=medium

  * New upstream version 0.24.2. (Closes: #969720)
  * Add d/upstream/metadata.
  * Add Upstream-Contact to d/copyright.
  * Update debhelper-compat version.
  * Fix test-suite. (Closes: #969829)
  * Fix inclusion of source code in binary. (Closes: #956943)
  * New uploader. (Closes: #970269)
  * Move maitenence to Debian Go team.

 -- Jai Flack <jflack@disroot.org>  Wed, 04 Nov 2020 17:03:44 +1000

=== debian/control ===
Source: fzf
Section: utils
Homepage: https://github.com/junegunn/fzf
Priority: optional
Standards-Version: 4.5.0
Testsuite: autopkgtest-pkg-go
Vcs-Browser: https://salsa.debian.org/go-team/packages/fzf
Vcs-Git: https://salsa.debian.org/go-team/packages/fzf.git
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Mo Zhou <lumin@debian.org>, Jai Flack <jflack@disroot.org>
Build-Depends: debhelper-compat (= 13),
               dh-exec,
               dh-golang,
               golang-github-mattn-go-isatty-dev,
               golang-github-mattn-go-runewidth-dev,
               golang-github-mattn-go-shellwords-dev,
               golang-github-saracen-walker-dev,
               golang-go (>= 1.5),
               golang-golang-x-crypto-dev
Rules-Requires-Root: no
XS-Go-Import-Path: github.com/junegunn/fzf

Package: fzf
Architecture: any
Built-Using: ${misc:Built-Using}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: general-purpose command-line fuzzy finder
 It's an interactive Unix filter for command-line that can be used with
 any list; files, command history, processes, hostnames, bookmarks, git
 commits, etc.
 .
 Refer /usr/share/doc/fzf/README.Debian for quick instructions on how to
 add keybindings for Bash, Zsh, Fish to call fzf.

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%fzf-$1.tar.gz%" \
    https://github.com/junegunn/fzf/tags \
    (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## fzf 0.29.0

=== Makefile ===
--- 
+++ 
@@ -1,3 +1,4 @@
+SHELL          := bash
 GO             ?= go
 GOOS           ?= $(word 1, $(subst /, " ", $(word 4, $(shell go version))))
 
@@ -26,12 +27,14 @@
 endif
 BUILD_FLAGS    := -a -ldflags "-s -w -X main.version=$(VERSION) -X main.revision=$(REVISION)" -tags "$(TAGS)"
 
+BINARY32       := fzf-$(GOOS)_386
 BINARY64       := fzf-$(GOOS)_amd64
 BINARYARM5     := fzf-$(GOOS)_arm5
 BINARYARM6     := fzf-$(GOOS)_arm6
 BINARYARM7     := fzf-$(GOOS)_arm7
 BINARYARM8     := fzf-$(GOOS)_arm8
 BINARYPPC64LE  := fzf-$(GOOS)_ppc64le
+BINARYRISCV64  := fzf-$(GOOS)_riscv64
 
 # https://en.wikipedia.org/wiki/Uname
 UNAME_M := $(shell uname -m)
@@ -39,6 +42,10 @@
 	BINARY := $(BINARY64)
 else ifeq ($(UNAME_M),amd64)
 	BINARY := $(BINARY64)
+else ifeq ($(UNAME_M),i686)
+	BINARY := $(BINARY32)
+else ifeq ($(UNAME_M),i386)
+	BINARY := $(BINARY32)
 else ifeq ($(UNAME_M),armv5l)
 	BINARY := $(BINARYARM5)
 else ifeq ($(UNAME_M),armv6l)
@@ -47,10 +54,14 @@
 	BINARY := $(BINARYARM7)
 else ifeq ($(UNAME_M),armv8l)
 	BINARY := $(BINARYARM8)
+else ifeq ($(UNAME_M),arm64)
+	BINARY := $(BINARYARM8)
 else ifeq ($(UNAME_M),aarch64)
 	BINARY := $(BINARYARM8)
 else ifeq ($(UNAME_M),ppc64le)
 	BINARY := $(BINARYPPC64LE)
+else ifeq ($(UNAME_M),riscv64)
+	BINARY := $(BINARYRISCV64)
 else
 $(error Build on $(UNAME_M) is not supported, yet.)
 endif
@@ -58,11 +69,15 @@
 all: target/$(BINARY)
 
 test: $(SOURCES)
+	[ -z "$$(gofmt -s -d src)" ] || (gofmt -s -d src; exit 1)
 	SHELL=/bin/sh GOOS= $(GO) test -v -tags "$(TAGS)" \
 				github.com/junegunn/fzf/src \
 				github.com/junegunn/fzf/src/algo \
 				github.com/junegunn/fzf/src/tui \
 				github.com/junegunn/fzf/src/util
+
+bench:
+	cd src && SHELL=/bin/sh GOOS= $(GO) test -v -tags "$(TAGS)" -run=Bench -bench=. -benchmem
 
 install: bin/fzf
 
@@ -87,6 +102,7 @@
 	grep -qF $(VERSION) install.ps1
 
 	# Make release note out of CHANGELOG.md
+	mkdir -p tmp
 	sed -n '/^$(VERSION_REGEX)$$/,/^[0-9]/p' CHANGELOG.md | tail -r | \
 		sed '1,/^ *$$/d' | tail -r | sed 1,2d | tee tmp/release-note
 
@@ -107,6 +123,9 @@
 clean:
 	$(RM) -r dist target
 
+target/$(BINARY32): $(SOURCES)
+	GOARCH=386 $(GO) build $(BUILD_FLAGS) -o $@
+
 target/$(BINARY64): $(SOURCES)
 	GOARCH=amd64 $(GO) build $(BUILD_FLAGS) -o $@
 
@@ -126,6 +145,9 @@
 target/$(BINARYPPC64LE): $(SOURCES)
 	GOARCH=ppc64le $(GO) build $(BUILD_FLAGS) -o $@
 
+target/$(BINARYRISCV64): $(SOURCES)
+	GOARCH=riscv64 $(GO) build $(BUILD_FLAGS) -o $@
+
 bin/fzf: target/$(BINARY) | bin
 	cp -f target/$(BINARY) bin/fzf
 
@@ -141,4 +163,4 @@
 	$(GO) get -u
 	$(GO) mod tidy
 
-.PHONY: all build release test install clean docker docker-test update
+.PHONY: all build release test bench install clean docker docker-test update

=== debian/changelog ===
fzf (0.29.0-1) unstable; urgency=medium

  [ Jai Flack ]
  * Bump Standards-Version to 4.5.1
  * Install bash completions by default (Closes: #973570)

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Submit.

  [ Mo Zhou ]
  * New upstream version 0.29.0
  * Comment in README.Debian that bash completion is installed by default.

 -- Mo Zhou <lumin@debian.org>  Sat, 08 Jan 2022 11:30:28 -0500

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: utils
 Homepage: https://github.com/junegunn/fzf
 Priority: optional
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Testsuite: autopkgtest-pkg-go
 Vcs-Browser: https://salsa.debian.org/go-team/packages/fzf
 Vcs-Git: https://salsa.debian.org/go-team/packages/fzf.git
@@ -11,6 +11,7 @@
 Build-Depends: debhelper-compat (= 13),
                dh-exec,
                dh-golang,
+	       golang-github-rivo-uniseg-dev,
                golang-github-mattn-go-isatty-dev,
                golang-github-mattn-go-runewidth-dev,
                golang-github-mattn-go-shellwords-dev,

=== debian/rules ===
#!/usr/bin/make -f
export DH_GOPKG := github.com/junegunn/fzf

%:
	dh $@ --builddirectory=_build --buildsystem=golang --with=golang

override_dh_auto_install:
	dh_auto_install -- --no-source

override_dh_compress:
	dh_compress -Xkey-bindings -Xcompletion -Xfzf.vim

## fzf 0.32.1

=== Makefile ===
--- 
+++ 
@@ -35,6 +35,7 @@
 BINARYARM8     := fzf-$(GOOS)_arm8
 BINARYPPC64LE  := fzf-$(GOOS)_ppc64le
 BINARYRISCV64  := fzf-$(GOOS)_riscv64
+BINARYLOONG64  := fzf-$(GOOS)_loong64
 
 # https://en.wikipedia.org/wiki/Uname
 UNAME_M := $(shell uname -m)
@@ -62,6 +63,8 @@
 	BINARY := $(BINARYPPC64LE)
 else ifeq ($(UNAME_M),riscv64)
 	BINARY := $(BINARYRISCV64)
+else ifeq ($(UNAME_M),loongarch64)
+	BINARY := $(BINARYLOONG64)
 else
 $(error Build on $(UNAME_M) is not supported, yet.)
 endif
@@ -148,6 +151,9 @@
 target/$(BINARYRISCV64): $(SOURCES)
 	GOARCH=riscv64 $(GO) build $(BUILD_FLAGS) -o $@
 
+target/$(BINARYLOONG64): $(SOURCES)
+	GOARCH=loong64 $(GO) build $(BUILD_FLAGS) -o $@
+
 bin/fzf: target/$(BINARY) | bin
 	cp -f target/$(BINARY) bin/fzf

=== debian/changelog ===
fzf (0.32.1-1) unstable; urgency=medium

  * New upstream version 0.32.1

 -- Mo Zhou <lumin@debian.org>  Tue, 16 Aug 2022 16:07:52 -0400

fzf (0.32.0-1) unstable; urgency=medium

  * New upstream version 0.32.0

 -- Mo Zhou <lumin@debian.org>  Tue, 02 Aug 2022 21:10:51 -0700

fzf (0.31.0-1) unstable; urgency=medium

  * New upstream version 0.31.0

 -- Mo Zhou <lumin@debian.org>  Fri, 22 Jul 2022 08:52:24 -0700

fzf (0.30.0-1) unstable; urgency=medium

  * New upstream version 0.30.0
  * Add missing B-D golang-golang-x-term-dev. (Closes: #1009109)
  * Address typo in upstream/metadata.

 -- Mo Zhou <lumin@debian.org>  Fri, 08 Apr 2022 22:47:54 -0400

=== debian/control ===
--- 
+++ 
@@ -11,13 +11,14 @@
 Build-Depends: debhelper-compat (= 13),
                dh-exec,
                dh-golang,
-	       golang-github-rivo-uniseg-dev,
                golang-github-mattn-go-isatty-dev,
                golang-github-mattn-go-runewidth-dev,
                golang-github-mattn-go-shellwords-dev,
+               golang-github-rivo-uniseg-dev,
                golang-github-saracen-walker-dev,
                golang-go (>= 1.5),
-               golang-golang-x-crypto-dev
+               golang-golang-x-crypto-dev,
+               golang-golang-x-term-dev
 Rules-Requires-Root: no
 XS-Go-Import-Path: github.com/junegunn/fzf

## fzf 0.34.0

=== debian/changelog ===
fzf (0.34.0-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster

  [ Mo Zhou ]
  * New upstream version 0.34.0

 -- Mo Zhou <lumin@debian.org>  Fri, 30 Sep 2022 15:00:53 -0400

fzf (0.33.0-1) unstable; urgency=medium

  * New upstream version 0.33.0

 -- Mo Zhou <lumin@debian.org>  Wed, 31 Aug 2022 21:13:07 -0400

## fzf 0.35.1

=== debian/changelog ===
fzf (0.35.1-1) unstable; urgency=medium

  * New upstream version 0.35.1

 -- Mo Zhou <lumin@debian.org>  Wed, 30 Nov 2022 12:15:58 -0500

fzf (0.35.0-1) unstable; urgency=medium

  * New upstream version 0.35.0

 -- Mo Zhou <lumin@debian.org>  Wed, 16 Nov 2022 09:34:47 -0500

## fzf 0.38.0

=== Makefile ===
--- 
+++ 
@@ -155,6 +155,7 @@
 	GOARCH=loong64 $(GO) build $(BUILD_FLAGS) -o $@
 
 bin/fzf: target/$(BINARY) | bin
+	-rm -f bin/fzf
 	cp -f target/$(BINARY) bin/fzf
 
 docker:

=== debian/changelog ===
fzf (0.38.0-1) unstable; urgency=medium

  * New upstream version 0.38.0
  * Set FZF build version (Closes: #1015258)

 -- Mo Zhou <lumin@debian.org>  Fri, 17 Feb 2023 15:54:18 -0500

fzf (0.37.0-1) unstable; urgency=medium

  * New upstream version 0.37.0

 -- Mo Zhou <lumin@debian.org>  Wed, 01 Feb 2023 13:43:17 -0500

=== debian/rules ===
#!/usr/bin/make -f
include /usr/share/dpkg/pkg-info.mk
export DH_GOPKG := github.com/junegunn/fzf

%:
	dh $@ --builddirectory=_build --buildsystem=golang --with=golang

# we are not using the Makefile for build. hence the FZF_VERSION and FZF_REVISION are not used.
execute_before_dh_auto_configure:
	sed -e "s@var version string = \"[0-9.]*\"@var version string = \"$(DEB_VERSION_UPSTREAM)\"@" -i main.go
	sed -e "s@var revision string = \"devel\"@var revision string = \"debian\"@" -i main.go

override_dh_auto_install:
	FZF_VERSION=$(DEB_VERSION_UPSTREAM) \
        FZF_REVISION=debian \
        dh_auto_install -- --no-source

override_dh_compress:
	dh_compress -Xkey-bindings -Xcompletion -Xfzf.vim

## fzf 0.42.0

=== Makefile ===
--- 
+++ 
@@ -20,7 +20,7 @@
 ifdef FZF_REVISION
 REVISION       := $(FZF_REVISION)
 else
-REVISION       := $(shell git log -n 1 --pretty=format:%h -- $(SOURCES) 2> /dev/null)
+REVISION       := $(shell git log -n 1 --pretty=format:%h --abbrev=8 -- $(SOURCES) 2> /dev/null)
 endif
 ifeq ($(REVISION),)
 $(error Not on git repository; cannot determine $$FZF_REVISION)
@@ -29,6 +29,7 @@
 
 BINARY32       := fzf-$(GOOS)_386
 BINARY64       := fzf-$(GOOS)_amd64
+BINARYS390     := fzf-$(GOOS)_s390x
 BINARYARM5     := fzf-$(GOOS)_arm5
 BINARYARM6     := fzf-$(GOOS)_arm6
 BINARYARM7     := fzf-$(GOOS)_arm7
@@ -43,6 +44,8 @@
 	BINARY := $(BINARY64)
 else ifeq ($(UNAME_M),amd64)
 	BINARY := $(BINARY64)
+else ifeq ($(UNAME_M),s390x)
+	BINARY := $(BINARYS390)
 else ifeq ($(UNAME_M),i686)
 	BINARY := $(BINARY32)
 else ifeq ($(UNAME_M),i386)
@@ -85,7 +88,7 @@
 install: bin/fzf
 
 build:
-	goreleaser --rm-dist --snapshot
+	goreleaser build --rm-dist --snapshot --skip-post-hooks
 
 release:
 ifndef GITHUB_TOKEN
@@ -132,6 +135,8 @@
 target/$(BINARY64): $(SOURCES)
 	GOARCH=amd64 $(GO) build $(BUILD_FLAGS) -o $@
 
+target/$(BINARYS390): $(SOURCES)
+	GOARCH=s390x $(GO) build $(BUILD_FLAGS) -o $@
 # https://github.com/golang/go/wiki/GoArm
 target/$(BINARYARM5): $(SOURCES)
 	GOARCH=arm GOARM=5 $(GO) build $(BUILD_FLAGS) -o $@

=== debian/changelog ===
fzf (0.42.0-1ubuntu0.1) mantic-security; urgency=medium

  * No change rebuild due to golang-1.20, golang-1.21 updates

 -- Nishit Majithia <nishit.majithia@canonical.com>  Fri, 19 Jan 2024 11:27:01 +0530

fzf (0.42.0-1build1) mantic; urgency=medium

  * No-change rebuild with Go 1.21.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Thu, 24 Aug 2023 17:14:01 +1200

fzf (0.42.0-1) unstable; urgency=medium

  * New upstream version 0.42.0

 -- Mo Zhou <lumin@debian.org>  Sat, 17 Jun 2023 18:16:24 -0700

## fzf 0.44.1

=== Makefile ===
--- 
+++ 
@@ -57,7 +57,9 @@
 else ifeq ($(UNAME_M),armv7l)
 	BINARY := $(BINARYARM7)
 else ifeq ($(UNAME_M),armv8l)
-	BINARY := $(BINARYARM8)
+	# armv8l is always 32-bit and should implement the armv7 ISA, so
+	# just use the same filename as for armv7.
+	BINARY := $(BINARYARM7)
 else ifeq ($(UNAME_M),arm64)
 	BINARY := $(BINARYARM8)
 else ifeq ($(UNAME_M),aarch64)
@@ -91,6 +93,10 @@
 	goreleaser build --rm-dist --snapshot --skip-post-hooks
 
 release:
+	# Make sure that the tests pass and the build works
+	TAGS=tcell make test
+	make test build clean
+
 ifndef GITHUB_TOKEN
 	$(error GITHUB_TOKEN is not defined)
 endif

=== debian/changelog ===
fzf (0.44.1-1) unstable; urgency=medium

  * New upstream version 0.44.1
  * Fix source build after successful build (Closes: #1044974)

 -- Mo Zhou <lumin@debian.org>  Fri, 24 Nov 2023 00:24:54 -0500

=== debian/control ===
--- 
+++ 
@@ -16,7 +16,7 @@
                golang-github-mattn-go-shellwords-dev,
                golang-github-rivo-uniseg-dev,
                golang-github-saracen-walker-dev,
-               golang-go (>= 1.5),
+               golang-go,
                golang-golang-x-crypto-dev,
                golang-golang-x-term-dev
 Rules-Requires-Root: no

=== debian/rules ===
--- 
+++ 
@@ -7,6 +7,7 @@
 
 # we are not using the Makefile for build. hence the FZF_VERSION and FZF_REVISION are not used.
 execute_before_dh_auto_configure:
+	cp main.go main.go.bak
 	sed -e "s@var version string = \"[0-9.]*\"@var version string = \"$(DEB_VERSION_UPSTREAM)\"@" -i main.go
 	sed -e "s@var revision string = \"devel\"@var revision string = \"debian\"@" -i main.go
 
@@ -17,3 +18,7 @@
 
 override_dh_compress:
 	dh_compress -Xkey-bindings -Xcompletion -Xfzf.vim
+
+override_dh_auto_clean:
+	-mv main.go.bak main.go
+	dh_auto_clean

## fzf 0.46.1

=== debian/changelog ===
fzf (0.46.1-1ubuntu0.1) oracular-security; urgency=medium

  * No change rebuild due to golang-1.22 update

 -- Evan Caville <evan.caville@canonical.com>  Fri, 27 Jun 2025 14:35:23 +1000

fzf (0.46.1-1) unstable; urgency=medium

  * New upstream version 0.46.1

 -- Mo Zhou <lumin@debian.org>  Thu, 25 Apr 2024 13:56:35 -0400

## fzf 0.55.0

=== Makefile ===
--- 
+++ 
@@ -1,20 +1,20 @@
 SHELL          := bash
 GO             ?= go
-GOOS           ?= $(word 1, $(subst /, " ", $(word 4, $(shell go version))))
+GOOS           ?= $(shell $(GO) env GOOS)
 
 MAKEFILE       := $(realpath $(lastword $(MAKEFILE_LIST)))
 ROOT_DIR       := $(shell dirname $(MAKEFILE))
-SOURCES        := $(wildcard *.go src/*.go src/*/*.go) $(MAKEFILE)
+SOURCES        := $(wildcard *.go src/*.go src/*/*.go shell/*sh man/man1/*.1) $(MAKEFILE)
 
 ifdef FZF_VERSION
 VERSION        := $(FZF_VERSION)
 else
-VERSION        := $(shell git describe --abbrev=0 2> /dev/null)
+VERSION        := $(shell git describe --abbrev=0 2> /dev/null | sed "s/^v//")
 endif
 ifeq ($(VERSION),)
 $(error Not on git repository; cannot determine $$FZF_VERSION)
 endif
-VERSION_TRIM   := $(shell sed "s/-.*//" <<< $(VERSION))
+VERSION_TRIM   := $(shell sed "s/^v//; s/-.*//" <<< $(VERSION))
 VERSION_REGEX  := $(subst .,\.,$(VERSION_TRIM))
 
 ifdef FZF_REVISION
@@ -25,7 +25,7 @@
 ifeq ($(REVISION),)
 $(error Not on git repository; cannot determine $$FZF_REVISION)
 endif
-BUILD_FLAGS    := -a -ldflags "-s -w -X main.version=$(VERSION) -X main.revision=$(REVISION)" -tags "$(TAGS)"
+BUILD_FLAGS    := -a -ldflags "-s -w -X main.version=$(VERSION) -X main.revision=$(REVISION)" -tags "$(TAGS)" -trimpath
 
 BINARY32       := fzf-$(GOOS)_386
 BINARY64       := fzf-$(GOOS)_amd64
@@ -77,7 +77,6 @@
 all: target/$(BINARY)
 
 test: $(SOURCES)
-	[ -z "$$(gofmt -s -d src)" ] || (gofmt -s -d src; exit 1)
 	SHELL=/bin/sh GOOS= $(GO) test -v -tags "$(TAGS)" \
 				github.com/junegunn/fzf/src \
 				github.com/junegunn/fzf/src/algo \
@@ -87,10 +86,17 @@
 bench:
 	cd src && SHELL=/bin/sh GOOS= $(GO) test -v -tags "$(TAGS)" -run=Bench -bench=. -benchmem
 
+lint: $(SOURCES) test/test_go.rb
+	[ -z "$$(gofmt -s -d src)" ] || (gofmt -s -d src; exit 1)
+	rubocop --require rubocop-minitest --require rubocop-performance
+
 install: bin/fzf
 
+generate:
+	PATH=$(PATH):$(GOPATH)/bin $(GO) generate ./...
+
 build:
-	goreleaser build --rm-dist --snapshot --skip-post-hooks
+	goreleaser build --clean --snapshot --skip=post-hooks
 
 release:
 	# Make sure that the tests pass and the build works
@@ -123,7 +129,7 @@
 	git push origin temp --follow-tags --force
 
 	# Make a GitHub release
-	goreleaser --rm-dist --release-notes tmp/release-note
+	goreleaser --clean --release-notes tmp/release-note
 
 	# Push to master
 	git checkout master
@@ -170,15 +176,15 @@
 	cp -f target/$(BINARY) bin/fzf
 
 docker:
-	docker build -t fzf-arch .
-	docker run -it fzf-arch tmux
+	docker build -t fzf-ubuntu .
+	docker run -it fzf-ubuntu tmux
 
 docker-test:
-	docker build -t fzf-arch .
-	docker run -it fzf-arch
+	docker build -t fzf-ubuntu .
+	docker run -it fzf-ubuntu
 
 update:
 	$(GO) get -u
 	$(GO) mod tidy
 
-.PHONY: all build release test bench install clean docker docker-test update
+.PHONY: all generate build release test bench lint install clean docker docker-test update

=== debian/changelog ===
fzf (0.55.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 0.55.0 (Closes: #1079976)
    Thanks to Vincent Blut for the MR to update this!
  * Update standards version to 4.7.0

 -- Stephen Gelman <ssgelm@debian.org>  Mon, 16 Sep 2024 11:03:38 -0500

## fzf 0.57.0

=== debian/changelog ===
fzf (0.57.0-1) unstable; urgency=medium

  [ Vincent Blut ]
  * New upstream release 0.57.0

 -- Vincent Blut <vincent.debian@free.fr>  Wed, 18 Dec 2024 18:08:24 +0100

fzf (0.56.3-1) unstable; urgency=medium

  [ Vincent Blut ]
  * New upstream version 0.56.3

 -- Mo Zhou <lumin@debian.org>  Wed, 04 Dec 2024 23:30:27 -0500

## fzf 0.58.0

=== debian/changelog ===
fzf (0.58.0-1) unstable; urgency=medium

  * New upstream version 0.58.0

 -- Mo Zhou <lumin@debian.org>  Mon, 20 Jan 2025 22:25:05 -0500

## fzf 0.60.0

=== debian/changelog ===
fzf (0.60.0-1) unstable; urgency=medium

  * New upstream version 0.60.0
  * Install upstream README{,-VIM} files as docs.
  * README.Debian: update configuration instructions. (Closes: #1013356)
  * Move completion.bash back to examples directory. (See: #1013356)

 -- Mo Zhou <lumin@debian.org>  Sun, 16 Feb 2025 23:12:57 -0500

## fzf 0.60.2

=== debian/changelog ===
fzf (0.60.2-1) unstable; urgency=medium

  * New upstream version 0.60.2

 -- Mo Zhou <lumin@debian.org>  Tue, 25 Feb 2025 12:02:53 -0500

fzf (0.60.1-1) unstable; urgency=medium

  * New upstream version 0.60.1

 -- Mo Zhou <lumin@debian.org>  Thu, 20 Feb 2025 23:53:07 -0500

## fzf 0.60.3

=== debian/changelog ===
fzf (0.60.3-1) unstable; urgency=medium

  * New upstream version 0.60.3

 -- Mo Zhou <lumin@debian.org>  Wed, 05 Mar 2025 10:45:33 -0500

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: utils
 Homepage: https://github.com/junegunn/fzf
 Priority: optional
-Standards-Version: 4.5.1
+Standards-Version: 4.7.0
 Testsuite: autopkgtest-pkg-go
 Vcs-Browser: https://salsa.debian.org/go-team/packages/fzf
 Vcs-Git: https://salsa.debian.org/go-team/packages/fzf.git
@@ -11,13 +11,13 @@
 Build-Depends: debhelper-compat (= 13),
                dh-exec,
                dh-golang,
+               golang-github-charlievieth-fastwalk-dev,
+               golang-github-gdamore-tcell.v2-dev,
+               golang-github-junegunn-go-shellwords-dev,
                golang-github-mattn-go-isatty-dev,
-               golang-github-mattn-go-runewidth-dev,
-               golang-github-mattn-go-shellwords-dev,
                golang-github-rivo-uniseg-dev,
-               golang-github-saracen-walker-dev,
                golang-go,
-               golang-golang-x-crypto-dev,
+               golang-golang-x-sys-dev,
                golang-golang-x-term-dev
 Rules-Requires-Root: no
 XS-Go-Import-Path: github.com/junegunn/fzf

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,7 @@
 #!/usr/bin/make -f
 include /usr/share/dpkg/pkg-info.mk
 export DH_GOPKG := github.com/junegunn/fzf
+export DH_GOLANG_INSTALL_EXTRA := man/man1 shell
 
 %:
 	dh $@ --builddirectory=_build --buildsystem=golang --with=golang

## fzf 0.64.0

=== debian/changelog ===
fzf (0.64.0-1) experimental; urgency=medium

  [ Vincent Blut ]
  * Team upload
  * New upstream version 0.64.0
  * Bump Standards-Version to 4.7.2
  * Fix FZF version/revision information (Closes: #1108769)
  * Drop DH_GOPKG from d/rules, dh-golang sets it to the value from
    XS-Go-Import-Path
  * Update d/gitlab-ci.yml to run Salsa CI

 -- Otto Kekäläinen <otto@debian.org>  Mon, 14 Jul 2025 19:25:59 +0200

=== debian/control ===
--- 
+++ 
@@ -2,12 +2,12 @@
 Section: utils
 Homepage: https://github.com/junegunn/fzf
 Priority: optional
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Testsuite: autopkgtest-pkg-go
 Vcs-Browser: https://salsa.debian.org/go-team/packages/fzf
 Vcs-Git: https://salsa.debian.org/go-team/packages/fzf.git
 Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
-Uploaders: Mo Zhou <lumin@debian.org>, Jai Flack <jflack@disroot.org>
+Uploaders: Mo Zhou <lumin@debian.org>, Otto Kekäläinen <otto@debian.org>
 Build-Depends: debhelper-compat (= 13),
                dh-exec,
                dh-golang,

=== debian/rules ===
#!/usr/bin/make -f
include /usr/share/dpkg/pkg-info.mk
export DH_GOLANG_INSTALL_EXTRA := man/man1 shell

%:
	dh $@ --builddirectory=_build --buildsystem=golang --with=golang

# we are not using the Makefile for build. hence the FZF_VERSION and FZF_REVISION are not used.
execute_before_dh_auto_configure:
	cp main.go main.go.bak
	sed -e '/^var version =/s@"[0-9.]*"@"$(DEB_VERSION_UPSTREAM)"@' \
	    -e '/^var revision =/s@"devel"@"debian"@' -i main.go

override_dh_auto_install:
	FZF_VERSION=$(DEB_VERSION_UPSTREAM) \
        FZF_REVISION=debian \
        dh_auto_install -- --no-source

override_dh_compress:
	dh_compress -Xkey-bindings -Xcompletion -Xfzf.vim

override_dh_auto_clean:
	-mv main.go.bak main.go
	dh_auto_clean

## fzf 0.65.1

=== debian/changelog ===
fzf (0.65.1-1) unstable; urgency=medium

  [ Vincent Blut ]
  * New upstream version 0.65.1

  [ Otto Kekäläinen ]
  * Fix various issues detected by Lintian
  * Format d/copyright the same way dh-make-golang does
  * Use 'Static-Built-Using' as Go binaries should
  * Put build artifacts in debian/.build/upstream
  * Start using vanilla salsa-ci.yml and keep gitlab-ci.yml for compatibility
  * Add a gbp.conf to document this package's git-buildpackage conventions

 -- Otto Kekäläinen <otto@debian.org>  Fri, 19 Sep 2025 00:11:10 -0700

## fzf 0.66.0

=== Makefile ===
--- 
+++ 
@@ -1,10 +1,18 @@
-SHELL          := bash
 GO             ?= go
 GOOS           ?= $(shell $(GO) env GOOS)
 
 MAKEFILE       := $(realpath $(lastword $(MAKEFILE_LIST)))
 ROOT_DIR       := $(shell dirname $(MAKEFILE))
 SOURCES        := $(wildcard *.go src/*.go src/*/*.go shell/*sh man/man1/*.1) $(MAKEFILE)
+
+BASH_SCRIPTS   := $(ROOT_DIR)/bin/fzf-preview.sh \
+					$(ROOT_DIR)/bin/fzf-tmux \
+					$(ROOT_DIR)/install \
+					$(ROOT_DIR)/uninstall \
+					$(ROOT_DIR)/shell/common.sh \
+					$(ROOT_DIR)/shell/update.sh \
+					$(ROOT_DIR)/shell/completion.bash \
+					$(ROOT_DIR)/shell/key-bindings.bash
 
 ifdef FZF_VERSION
 VERSION        := $(FZF_VERSION)
@@ -14,7 +22,7 @@
 ifeq ($(VERSION),)
 $(error Not on git repository; cannot determine $$FZF_VERSION)
 endif
-VERSION_TRIM   := $(shell sed "s/^v//; s/-.*//" <<< $(VERSION))
+VERSION_TRIM   := $(shell echo $(VERSION) | sed "s/^v//; s/-.*//")
 VERSION_REGEX  := $(subst .,\.,$(VERSION_TRIM))
 
 ifdef FZF_REVISION
@@ -83,12 +91,20 @@
 				github.com/junegunn/fzf/src/tui \
 				github.com/junegunn/fzf/src/util
 
+itest:
+	ruby test/runner.rb
+
 bench:
 	cd src && SHELL=/bin/sh GOOS= $(GO) test -v -tags "$(TAGS)" -run=Bench -bench=. -benchmem
 
-lint: $(SOURCES) test/test_go.rb
+lint: $(SOURCES) test/*.rb test/lib/*.rb ${BASH_SCRIPTS}
 	[ -z "$$(gofmt -s -d src)" ] || (gofmt -s -d src; exit 1)
-	rubocop --require rubocop-minitest --require rubocop-performance
+	bundle exec rubocop -a --require rubocop-minitest --require rubocop-performance
+	shell/update.sh --check ${BASH_SCRIPTS}
+
+fmt: $(SOURCES) $(BASH_SCRIPTS)
+	gofmt -s -w src
+	shell/update.sh ${BASH_SCRIPTS}
 
 install: bin/fzf
 
@@ -187,4 +203,4 @@
 	$(GO) get -u
 	$(GO) mod tidy
 
-.PHONY: all generate build release test bench lint install clean docker docker-test update
+.PHONY: all generate build release test itest bench lint install clean docker docker-test update fmt

=== debian/changelog ===
fzf (0.66.0-1) unstable; urgency=medium

  [ Vincent Blut ]
  * New upstream release 0.66.0
  * Update d/watch to version 5
  * Add new superficial autopkgtest

 -- Otto Kekäläinen <otto@debian.org>  Wed, 15 Oct 2025 21:38:26 -0700

=== debian/control ===
Source: fzf
Section: utils
Homepage: https://github.com/junegunn/fzf
Priority: optional
Standards-Version: 4.7.2
Testsuite: autopkgtest-pkg-go
Vcs-Browser: https://salsa.debian.org/go-team/packages/fzf
Vcs-Git: https://salsa.debian.org/go-team/packages/fzf.git
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders:
 Mo Zhou <lumin@debian.org>,
 Otto Kekäläinen <otto@debian.org>,
 Vincent Blut <vincent.debian@free.fr>,
Build-Depends:
 debhelper-compat (= 13),
 dh-exec,
 dh-golang,
 golang-github-charlievieth-fastwalk-dev,
 golang-github-gdamore-tcell.v2-dev,
 golang-github-junegunn-go-shellwords-dev,
 golang-github-mattn-go-isatty-dev,
 golang-github-rivo-uniseg-dev,
 golang-go,
 golang-golang-x-sys-dev,
 golang-golang-x-term-dev,
XS-Go-Import-Path: github.com/junegunn/fzf

Package: fzf
Architecture: any
Built-Using:
 ${misc:Built-Using},
Static-Built-Using:
 ${misc:Static-Built-Using},
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: general-purpose command-line fuzzy finder
 It's an interactive Unix filter for command-line that can be used with
 any list; files, command history, processes, hostnames, bookmarks, git
 commits, etc.
 .
 Refer /usr/share/doc/fzf/README.Debian for quick instructions on how to
 add keybindings for Bash, Zsh, Fish to call fzf.

=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,7 @@
 export DH_GOLANG_INSTALL_EXTRA := man/man1 shell
 
 %:
-	dh $@ --builddirectory=_build --buildsystem=golang --with=golang
+	dh $@ --builddirectory=debian/.build/upstream --buildsystem=golang --with=golang
 
 # we are not using the Makefile for build. hence the FZF_VERSION and FZF_REVISION are not used.
 execute_before_dh_auto_configure:

=== debian/tests/control ===
# Check that 'fzf --version' always prints the expected value to prevent
# the resurgence of https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=1108769
Features: test-name=fzf_--version_command_check
Test-Command: [ "$(dpkg-query -f='${source:Upstream-Version}' -W fzf | sed 's/$/ \(debian\)/')" = "$(fzf --version)" ]
Restrictions: superficial

=== debian/watch ===
Version: 5

Source: https://api.github.com/repos/junegunn/fzf/git/matching-refs/tags/v
Matching-Pattern: https://api.github.com/repos/[^/]+/[^/]+/git/refs/tags/@ANY_VERSION@
Download-Url-Mangle: s%(api.github.com/repos/[^/]+/[^/]+)/git/refs/%$1/tarball/refs/%g
Filename-Mangle: s%.*/@ANY_VERSION@%@PACKAGE@-$1.tar.gz%
Searchmode: plain

## fzf 0.67.0

=== debian/changelog ===
fzf (0.67.0-1) unstable; urgency=medium

  [ Vincent Blut ]
  * New upstream version 0.67.0
  * Update the list of fields in d/upstream/metadata

 -- Otto Kekäläinen <otto@debian.org>  Fri, 21 Nov 2025 21:25:06 -0800

=== debian/watch ===
--- 
+++ 
@@ -4,4 +4,4 @@
 Matching-Pattern: https://api.github.com/repos/[^/]+/[^/]+/git/refs/tags/@ANY_VERSION@
 Download-Url-Mangle: s%(api.github.com/repos/[^/]+/[^/]+)/git/refs/%$1/tarball/refs/%g
 Filename-Mangle: s%.*/@ANY_VERSION@%@PACKAGE@-$1.tar.gz%
-Searchmode: plain
+Search-Mode: plain

## fzf 0.70.0

=== debian/changelog ===
fzf (0.70.0-1) unstable; urgency=medium

  [ Vincent Blut ]
  * New upstream version 0.68.0
  * Remove obsolete 'Priority: optional'
  * Bump Standards-Version to 4.7.3
  * Use debputy's X-Style: black
  * Put build artifacts in debian/_build

  [ Otto Kekäläinen ]
  * New upstream release 0.70.0
  * Update copyright years for recent contributors
  * Update git repository layout to follow DEP-14
  * Start importing git history in addition to official upstream tarball

 -- Otto Kekäläinen <otto@debian.org>  Wed, 04 Mar 2026 13:09:41 +0000

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: fzf
 Section: utils
 Homepage: https://github.com/junegunn/fzf
-Priority: optional
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Testsuite: autopkgtest-pkg-go
 Vcs-Browser: https://salsa.debian.org/go-team/packages/fzf
 Vcs-Git: https://salsa.debian.org/go-team/packages/fzf.git
@@ -24,6 +23,7 @@
  golang-golang-x-sys-dev,
  golang-golang-x-term-dev,
 XS-Go-Import-Path: github.com/junegunn/fzf
+X-Style: black
 
 Package: fzf
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,7 @@
 export DH_GOLANG_INSTALL_EXTRA := man/man1 shell
 
 %:
-	dh $@ --builddirectory=debian/.build/upstream --buildsystem=golang --with=golang
+	dh $@ --builddirectory=debian/_build --buildsystem=golang --with=golang
 
 # we are not using the Makefile for build. hence the FZF_VERSION and FZF_REVISION are not used.
 execute_before_dh_auto_configure:

=== debian/tests/control ===
# Check that 'fzf --version' always prints the expected value to prevent
# the resurgence of https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=1108769
Features:
 test-name=fzf_--version_command_check,
Test-Command: [ "$(dpkg-query -f='${source:Upstream-Version}' -W fzf | sed 's/$/ \(debian\)/')" = "$(fzf --version)" ]
Restrictions:
 superficial,
